<?
include_once ("base/lista.class.php");

class listaDestaque extends lista{

	
    function tabelaEditar($setas=false, $caixas=true){
            $max= sizeof($this->dados);
			$i=0;
            foreach($this->dados as $t){
    			$linkId='?idD=' . $t["id"] . '&id=' . $_REQUEST['idOld'] . '&idCatD='. $_REQUEST['idCatD']. "&tipoD=" . $_REQUEST["tipoD"] ."&tam=" . $_REQUEST['tam'];
                $linkEditar='<a href='. $linkId . "&cmd=guardar";
                //$linkApagar='<a href="void(null)"';
                $linha=($i % 2)?"1":"0";
                echo '<tr class="linha' . $linha . '">';            
                foreach ($t as $l=>$c)
					echo "<td>" .$linkEditar . ">$c</a></td>";

				print '<td height="20" width=110 align="left">';
                echo "</td></tr>\n";        
				$i++;
    		}

    }
	

    function tabelaEscolher($setas=false, $caixas=true){
            $max= sizeof($this->dados);
			$i=0;
            foreach($this->dados as $t){
            	
            	if (strstr($t['tipo1'], 'artigo'))$t['tipo1']='artigo';
            	
    			$linkId='?idCatD=' . $t["id"] . '&idOld=' . $_REQUEST['id'] . "&tipoD=" . $t["tipo1"] ."&tam=" . $_REQUEST['tam'];
                $linkEditar='<a href='. $linkId . "&cmd=editar";
                //$linkApagar='<a href="void(null)"';
                $linha=($i % 2)?"1":"0";
                echo '<tr class="linha' . $linha . '">';            
                foreach ($t as $l=>$c)
					echo "<td>" .$linkEditar . ">$c</a></td>";

				print '<td height="20" width=110 align="left">';
                echo "</td></tr>\n";        
				$i++;
    		}

    }
    
    
	function tabela($setas=false, $ordem=1, $apagar=1){
            $max= sizeof($this->dados);
			$i=0;
			
			$sql="select min(ordem) as MINTEMP, max(ordem) as MAXTEMP from " .$this->tipo ." where idCat='".$this->idCat."'";
			$d= new dbElemento;
			$arrTemp=$d->get($sql);
			$minOrdem=$arrTemp[0]['MINTEMP'];
			$maxOrdem=$arrTemp[0]['MAXTEMP'];
			
			
            foreach($this->dados as $t){
    			$linkId='?id=' . $t["id"];
                $linkEditar='<a href='. $linkId . "&cmd=escolher";
                $linkApagar='<a href='. $linkId . "&cmd=apagar";
                $linkAcima='<a href='. $linkId . "&cmd=acima";
                $linkAbaixo='<a href='. $linkId . "&cmd=abaixo";
                $linha=($i % 2)?"1":"0";
                
                echo '<tr class="linha' . $linha . '">';            
                foreach ($t as $l=>$c){
					if ($l=="ordem") continue;
                	echo "<td>" .$linkEditar . ">$c</a></td>";
                }
                
				print '<td height="20" width=110 align="left">';
				if ($apagar)
					print $linkApagar . ' onclick="return delchk()">
					<img src="images/apagar20.gif" alt="apagar" border=0 /></a>';

                
                if ($setas){
                	//print "ola";
					if ($ordem ==1){   /* para descer ou subir*/
						if ($t["ordem"] > $minOrdem) 
							print $linkAcima .'><img src="images/acima.gif" alt="acima" border=0 /></a>';
						else 
							print '<img src="images/spacer.gif" width="16" alt="spacer" border=0 />'; 
						if ($t["ordem"] < $maxOrdem)
							print $linkAbaixo .'><img src="images/abaixo.gif" alt="abaixo" border=0 /></a>'; 
					} else {
						if ($t["ordem"] < $maxOrdem) 
							print $linkAbaixo .'><img src="images/acima.gif" alt="acima" border=0 /></a>';
						else 
							print '<img src="images/spacer.gif" width="16" alt="spacer" border=0 />'; 
						if ($t["ordem"] > $minOrdem) 
								print $linkAcima .'><img src="images/abaixo.gif" alt="abaixo" border=0 /></a>';
					}
    			}
				
				echo "</td></tr>\n";        
				$i++;
    		}

    }
    
}
?>


